using System;
using System.ComponentModel;
using System.Diagnostics;
using System.Windows.Forms;

namespace SetupCustomActions
{
	public partial class dlgPromptReboot : Form
	{
		public dlgPromptReboot()
		{
			InitializeComponent();
		}

		private void cmdReboot_Click(object sender, EventArgs e)
		{
			Process reboot = new Process();
			ProcessStartInfo pInfo = new ProcessStartInfo("shutdown", "/r");
			reboot.StartInfo = pInfo;
			reboot.Start();
			this.Dispose();
		}

		private void cmdCancel_Click(object sender, EventArgs e)
		{
			this.Dispose();
		}
	}
}